const convertToMultiple = (convertor) => (entities) => {
	if (Array.isArray(entities)) {
		return entities.map((entity) => convertor(entity));
	}
	return [convertor(entities)];
};

module.exports = { convertToMultiple };
