const SuccessResult = require("../objects/successResult");
const ScooterDto = require("../dto/scooterDto");

class TestService {
	constructor(dataAccess, rdsQuery) {
		this.dataAccess = dataAccess;
		this.rdsQuery = rdsQuery;
	}

	async list() {
		const q = "select * from scooters";
		const scooters = await this.rdsQuery(ScooterDto, q, []);
		return SuccessResult({ scooters });
	}
}

module.exports = TestService;
