const awsLambdaFastify = require("aws-lambda-fastify");
const app = require("./src/app");
const mongo = require("./src/data/mongo/mongo");

const proxy = awsLambdaFastify(app);

module.exports.handler = async (event, context, callback) => {
	await mongo.connect(process.env.MONGO_CONNECTION);

	context.callbackWaitsForEmptyEventLoop = false;
	await proxy(event, context, callback);
};
