const { validate: uuidValidate } = require("uuid");

const throWError = (prop) => {
	const error = new Error(`Argument required : ${prop}`);
	error.name = "ArgumentRequiredError";
	throw error;
};

const required = (...argumentName) => (requestBody = {}) => {
	if (!requestBody) {
		throWError("body");
	}

	argumentName.forEach((name) => {
		const value = requestBody[name];

		if (value === undefined || value === null || value === "") {
			throWError(name);
		}

		if (name === "id") {
			const validId = uuidValidate(value);
			if (!validId) {
				throWError(name);
			}
		}
	});
};

module.exports = required;
